![api-docker](https://github.com/nocalhost/nocalhost/workflows/api-docker/badge.svg?branch=main)
![nhctl](https://github.com/nocalhost/nocalhost/workflows/nhctl/badge.svg?branch=main)
[![Go Report Card](https://goreportcard.com/badge/github.com/nocalhost/nocalhost)](https://goreportcard.com/report/github.com/nocalhost/nocalhost)
[![LICENSE](https://img.shields.io/github/license/nocalhost/nocalhost)](https://github.com/nocalhost/nocalhost/blob/main/LICENSE)

<p align="center">
    <a href="https://nocalhost.dev">
        <img src='https://user-images.githubusercontent.com/3713305/123894696-305fc480-d991-11eb-960a-e87d8bd7acbf.png' width="200"/>
    </a>
    <br />
    <em>Most productive way to build cloud-native applications.</em>
</p>

## Nocalhost

The term Nocalhost originates from No Local, which is a cloud-native development tool based on IDE, provides realtime cloud native application developing experience. 

When developing cloud-based application in Nocalhost, any code changes can immediately take effects in remote side, and there is no need to rebuild a new image. This can shorten the entire development feedback loops and massively improve R&D efficiency.

In order to give you a better understanding of Nocalhost, it is recommended that you read our blog post [Nocalhost - Refine Cloud Native Dev Environment](https://nocalhost.dev/eng/Blog/redefine-cloud-native-dev-environment/)

[![Nocalhost](https://img.youtube.com/vi/z7I-vopn-gQ/0.jpg)](https://www.youtube.com/watch?v=z7I-vopn-gQ)

## Key Features

### IDE Supports

Nocalhost provides easy-to-use IDE extension for JetBrains and VSCode. These extension will enable developer to develop and debug cloud-based application in their local machine.

## Start cloud-native application development in one click

No need to config complex dev environments in your local machine anymore. Nocalhost helps you to connect to any Kubernetes environment in one click.

### See code change under a second

automatically synchronize the code to container every time you make a change. Nocalhost eliminate the submit, building and pushing cycles,  significantly speed up the feedback loop of development, so you see change in under a second.

### Isolated development space

Every team member can enjoy their own independent development space to ensure that they are not disturbed by others.

## Getting Started

* [Installation](https://nocalhost.dev/docs/installation)
* [Quick Start](https://nocalhost.dev/docs/quick-start)
* [How it works](https://nocalhost.dev/docs/introduction)

## Documentation

Full documentation is available on the [Nocalhost](https://nocalhost.dev/)

## Community

* Slack: [Nocalhost Slack Channel](https://nocalhost.slack.com/)
* WeChat: Scan the QR Code to add CODING assistance with note "Nocalhost", assistance will add you into our WeChat group

![nocal-host-wechat](https://user-images.githubusercontent.com/3713305/123894953-a2d0a480-d991-11eb-88af-9082d14b0c2c.png)

## Talks and Conferences

| Engagement | Link |
| ---------- | ---- |
| :video_camera: &nbsp; Nocalhost Youtube  | [https://www.youtube.com/channel/UC2QC6HvFG8zOtFRvvMzcAUw](https://www.youtube.com/channel/UC2QC6HvFG8zOtFRvvMzcAUw) |

## Changelogs

Check our [Changelogs](https://nocalhost.dev/docs/changelogs/0.5.x)

## Contributing

Check out [CONTRIBUTING](./CONTRIBUTING.md) to see how to develop with Nocalhost.

## Code of Conduct

Nocalhost adopts [CNCF Code of Conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md)

## License

Nocalhost is [Apache 2.0 licensed](./LICENSE)

## Roadmap

See [ROADMAP](./ROADMAP.md)
